﻿using PaintDotNet.Effects;

namespace TileFillFromClipboard
{
    public class EffectPluginConfigToken : EffectConfigToken
    {
        public bool mirrorVertical;
        public bool mirrorHorizontal;

        public EffectPluginConfigToken()
        {
            mirrorVertical = false;
            mirrorHorizontal = false;
        }

        protected EffectPluginConfigToken(EffectPluginConfigToken copyMe)
          : base((EffectConfigToken)copyMe)
        {
            mirrorHorizontal = copyMe.mirrorHorizontal;
            mirrorVertical = copyMe.mirrorVertical;
        }

        public override object Clone()
        {
            return new EffectPluginConfigToken(this);
        }
    }
}